local fn = _gn(0xE24E957294241444)
--- eventData:
-- struct UI_SCRIPT_EVENT
-- {
-- alignas(8) eUIScriptEventType eventType; // https://alloc8or.re/rdr3/doc/enums/eUIScriptEventType.txt
-- alignas(8) int intParam;
-- alignas(8) Hash hashParam;
-- alignas(8) Hash datastoreParam;
-- };
function Global.EventsUiGetMessage(hash, eventData)
	return fn(_ch(hash), _ii(eventData) --[[ may be optional ]], _r)
end
